From 3d940069289ccc3adcf5e7544c0af61543ad5b9e Mon Sep 17 00:00:00 2001
From: Giovanni Mascellani <gio@debian.org>
Date: Sat, 4 Jan 2020 10:39:02 +0100
Subject: [PATCH] Fix compilation with Boost 1.71.

---
 ...0018-Fix-compilation-with-Boost-1.71.patch | 65 +++++++++++++++++++
 debian/patches/series                         |  1 +
 2 files changed, 66 insertions(+)
 create mode 100644 debian/patches/0018-Fix-compilation-with-Boost-1.71.patch

diff --git a/debian/patches/0018-Fix-compilation-with-Boost-1.71.patch b/debian/patches/0018-Fix-compilation-with-Boost-1.71.patch
new file mode 100644
index 0000000..ee7c564
--- /dev/null
+++ b/debian/patches/0018-Fix-compilation-with-Boost-1.71.patch
@@ -0,0 +1,65 @@
+From: Giovanni Mascellani <gio@debian.org>
+Date: Sat, 4 Jan 2020 10:36:17 +0100
+Subject: Fix compilation with Boost 1.71.
+
+Header gil_all.hpp does not exist anymore. This patch uses gil.hpp
+instead.
+---
+ src/colour_button.cpp             | 2 +-
+ src/subtitles_provider_libass.cpp | 2 +-
+ src/video_frame.cpp               | 2 +-
+ src/video_provider_dummy.cpp      | 2 +-
+ 4 files changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/src/colour_button.cpp b/src/colour_button.cpp
+index f985e62..d176aaa 100644
+--- a/src/colour_button.cpp
++++ b/src/colour_button.cpp
+@@ -18,7 +18,7 @@
+ 
+ #include "dialogs.h"
+ 
+-#include <boost/gil/gil_all.hpp>
++#include <boost/gil.hpp>
+ 
+ wxDEFINE_EVENT(EVT_COLOR, wxThreadEvent);
+ 
+diff --git a/src/subtitles_provider_libass.cpp b/src/subtitles_provider_libass.cpp
+index 3dc047e..1afd441 100644
+--- a/src/subtitles_provider_libass.cpp
++++ b/src/subtitles_provider_libass.cpp
+@@ -50,7 +50,7 @@
+ #include <libaegisub/util.h>
+ 
+ #include <atomic>
+-#include <boost/gil/gil_all.hpp>
++#include <boost/gil.hpp>
+ #include <memory>
+ #include <mutex>
+ 
+diff --git a/src/video_frame.cpp b/src/video_frame.cpp
+index 6100058..c51f929 100644
+--- a/src/video_frame.cpp
++++ b/src/video_frame.cpp
+@@ -16,7 +16,7 @@
+ 
+ #include "video_frame.h"
+ 
+-#include <boost/gil/gil_all.hpp>
++#include <boost/gil.hpp>
+ #include <wx/image.h>
+ 
+ namespace {
+diff --git a/src/video_provider_dummy.cpp b/src/video_provider_dummy.cpp
+index 39eb69e..71a4424 100644
+--- a/src/video_provider_dummy.cpp
++++ b/src/video_provider_dummy.cpp
+@@ -46,7 +46,7 @@
+ #include <boost/algorithm/string/split.hpp>
+ #include <boost/filesystem/path.hpp>
+ #include <libaegisub/format.h>
+-#include <boost/gil/gil_all.hpp>
++#include <boost/gil.hpp>
+ 
+ DummyVideoProvider::DummyVideoProvider(double fps, int frames, int width, int height, agi::Color colour, bool pattern)
+ : framecount(frames)
diff --git a/debian/patches/series b/debian/patches/series
index fd132da..2355a92 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -15,3 +15,4 @@ add-icu-prefix.patch
 simplify-version.patch
 add-keywords-desktop.patch
 fix-crash-spell-language.patch
+0018-Fix-compilation-with-Boost-1.71.patch
-- 
2.25.0.rc1

